import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import '../../../../core/styles/app_color.dart';
import '../../bloc/GetCountry/get_country_bloc.dart';
import '../../bloc/GetCountry/get_country_event.dart';
import 'choose_country_layout.dart';

class ChooseCountryScreen extends StatelessWidget {
  const ChooseCountryScreen({super.key});

  @override
  Widget build(BuildContext context) {
    context.read<GetCountryBlock>().add(GetCountry());
    return const Scaffold(
      backgroundColor: AppColor.plainWhite,
      resizeToAvoidBottomInset: true,
      body: ChooseCountryLayout(),
    );
  }
}
